import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class ButtonTesti extends Applet
{
 private Button B1,B2;

 public void init()
 {
 B1=new Button("B1");
 B1.addActionListener(new B1Basilinca(this));
 add(B1);
 B2=new Button("B2");
 B2.addActionListener(new B2Basilinca(this));
 add(B2);
 }
}

class B1Basilinca implements ActionListener
{
Applet applet;

public B1Basilinca(Applet a) {applet=a;}

public void actionPerformed(ActionEvent e)
{
applet.showStatus(" "+e.getActionCommand()+"dugmesine basildi");
}

}

class B2Basilinca implements ActionListener
{
Applet applet;

public B2Basilinca(Applet a) {applet=a;}

public void actionPerformed(ActionEvent e)
{
applet.showStatus(" "+e.paramString()+"dugmesine basildi");
}

}



